package com.mortals.xhx.module.device.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.device.model.DeviceEntity;
import java.util.ArrayList;
import java.util.List;
import lombok.Data;
import com.mortals.framework.annotation.Excel;
import java.math.BigDecimal;
import java.util.Date;
/**
* 设备管理视图对象
*
* @author zxfei
* @date 2023-05-22
*/
@Data
public class DeviceVo extends BaseEntityLong {

        /**
        * 设备名称
        */
        @Excel(name = "设备名称")
        private String deviceName;
        /**
        * 设备编码,SN码等，默认为MAC地址
        */
        @Excel(name = "设备编码,SN码等，默认为MAC地址")
        private String deviceCode;
        /**
        * 设备生产厂商名称
        */
        @Excel(name = "设备生产厂商名称")
        private String deviceFirmname;


}