package com.mortals.xhx.module.room.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.room.model.RoomDeviceEntity;
import java.util.ArrayList;
import java.util.List;
import lombok.Data;
import com.mortals.framework.annotation.Excel;
import java.math.BigDecimal;
import java.util.Date;
/**
* 房间设备信息视图对象
*
* @author zxfei
* @date 2023-05-29
*/
@Data
public class RoomDeviceVo extends BaseEntityLong {

        /**
        * 房间名称
        */
        @Excel(name = "房间名称")
        private String roomName;
        /**
        * 设备编码
        */
        @Excel(name = "设备编码")
        private String deviceCode;
        /**
        * 设备名称
        */
        @Excel(name = "设备名称")
        private String deviceName;


}