package com.mortals.xhx.module.room.web;
import com.mortals.framework.annotation.UnAuth;
import com.mortals.framework.common.Rest;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.room.model.RoomWorkmanEntity;
import com.mortals.xhx.module.room.service.RoomWorkmanService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 房间工作人员信息
*
* @author zxfei
* @date 2023-05-22
*/
@RestController
@RequestMapping("room/workman")
public class RoomWorkmanController extends BaseCRUDJsonBodyMappingController<RoomWorkmanService,RoomWorkmanEntity,Long> {

    @Autowired
    private ParamService paramService;

    public RoomWorkmanController(){
        super.setModuleDesc( "房间工作人员信息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        super.init(model, context);
    }


    @Override
    @UnAuth
    public Rest<Object> list(@RequestBody RoomWorkmanEntity query) {
        return super.list(query);
    }
}